The Kenya Cup is the top tier club rugby union competition in Kenya organized by the Kenya Rugby Union. For the 2019-2020 season, twelve teams are divided into two pools of six, Each team plays home and away against each team in its pool and once against each team in the other pool. The top six teams in the single-table format qualify for the playoff finals: the top two teams secure a home semi-final. The other four teams are paired into two knock-out games: the winners of the two games each play one of the two top-ranked teams (that had secured an automatic semi-final berth). The winners of the two semi-final fixtures play in the final to determine the overall winner(the top-ranked team before the playoffs hosts the final).
Promotion and relegation exists between the Kenya Cup, Championship and Nationwide leagues. The two lowest placed teams in the Kenya Cup are relegated to the Championship, and the top two teams in the Championship are promoted to the Kenya Cup. Games are played on Saturday afternoons usually preceded by corresponding fixtures in the Eric Shirley Shield.
The Kenya Cup was founded in 1970 by the newly formed Kenya Rugby Football Union with the first tournament won by Impala RFC.
KCB RFC retained the Kenya Cup for a third successive time after a 23-15 victory over Kabras Sugar in the final contested on 18 May 2019 at the Kakamega Showgrounds.
2021 Kenya Cup teams
TeamLocationStadiumCapacityKenya Harlequin F.C.NairobiRFUEA Ground6,000Menengai OilersNakuru CityNakuru Showgrounds6,000Blak Blad RFCNairobi CityKenyatta University Grounds5,000Kabras Sugar RFCKakamega CityBull Ring Kakamega5,000Nondescripts RFCNairobiNgong Race Course5,000Impala SaracensNairobi CityImpala Ground2,000KCB RFCNairobiThe Den2,000Mwamba RFCNairobiNairobi Railways Club2,000Top Fry Nakuru RFCNakuruNakuru Athletic Club2,000MMUST RFCKakamega CityMMUST Grounds1,000Strathmore LeosNairobiStrathmore University Grounds1,000
2021 Kenya Cup Final Standings
These are the final standings of the Kenya Cup.
Champions
The previous champions of the Kenya Cup are:
1970: Impala RFC 1971: Impala RFC 1972: Impala RFC 1973: Impala RFC 1974: Impala RFC 1975: Nondescripts RFC 1976: Nondescripts RFC 1977: Mean Machine RFC 1978: Nondescripts RFC 1979: Nondescripts RFC 1980: Nondescripts RFC 1981: Nondescripts RFC 1982: Nondescripts RFC 1983: Mwamba RFC 1984: Nondescripts RFC 1985: Nondescripts RFC 1986: Nondescripts RFC 1987: Barclays Bank RFC 1988: Nondescripts RFC 1989: Mean Machine RFC 1990: Mean Machine RFC 1991: Nondescripts RFC 1992: Nondescripts RFC 1993: Nondescripts RFC 1994: Nondescripts RFC 1995: Kenya Harlequin F.C.
1996: Kenya Harlequin F.C. 1997: Nondescripts RFC 1998: Nondescripts RFC 1999: Kenya Harlequin F.C. 2000: Impala RFC 2001: Impala RFC 2002: Impala RFC 2003: Kenya Harlequin F.C. 2004: Impala RFC 2005: KCB RFC 2006: KCB RFC 2007: KCB RFC 2008: Kenya Harlequin F.C. 2009: Impala RFC 2010: Kenya Harlequin F.C. 2011: Kenya Harlequin F.C. 2012: Kenya Harlequin F.C. 2013: Nakuru RFC 2014: Nakuru RFC 2015: KCB RFC 2016: Kabras Sugar RC 2017: KCB RFC 2018: KCB RFC 2019: KCB RFC 2021: KCB RFC 2022:Kabras Sugar RC 2023:Kabras Sugar RC 2024:Kabras Sugar RC 2025:Kabras Sugar RC
a. This webpage states that Harlequins had also had "Previous Kenya Cup victories: 1955, 1957, 1964, 1988". This is probably incorrect as these are years that Harlequins won the Enterprise Cup.The Kenya Cup was inaugurated in 1970. Before 1970 the competition which was held was called the Nairobi District Championship. However the 1995 victory seems likely as it is included in a list that also shows the Enterprise Cup win that year.
Titles by team TeamTitlesYears won Nondescripts RFC 17 1975, 1976, 1978, 1979, 1980, 1981, 1982, 1984, 1985, 1986, 1988, 1991, 1992, 1993, 1994, 1997, 1998 Impala RFC 10 1970, 1971, 1972, 1973, 1974, 2000, 2001, 2002, 2004, 2009 KCB RFC 8 2005, 2006, 2007, 2015, 2017, 2018, 2019, 2021 Kenya Harlequin 8 1995, 1996, 1999, 2003, 2008, 2010, 2011, 2012 Kabras Sugar 5 2016, 2022, 2023, 2024, 2025 Mean Machine RFC 3 1977, 1989, 1990 Nakuru RFC 2 2013, 2014 Mwamba RFC 1 1983 Barclays Bank RFC 1 1987
References
External links Kenya Cup Official Website